/*
 * Telapathy Inspector - A Telepathy client which exposes Telepathy interfaces.
 *                       Meant to inspect and/or test connection managers.
 * 
 * ti-dlg-request-presence.h:
 * Dialog for [...].Telepathy.Connection.Interface.Presence.RequestPresence() method.
 * 
 * Copyright (C) 2006 INdT - Instituto Nokia de Tecnologia
 * Author - Daniel d'Andrada T. de Carvalho <daniel.carvalho@indt.org.br>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 */

#ifndef __TI_DLG_REQUEST_PRESENCE_H__
#define __TI_DLG_REQUEST_PRESENCE_H__

#include <gtk/gtk.h>

/*
 * Type macros.
 */

typedef struct _TIDlgRequestPresence TIDlgRequestPresence;
typedef struct _TIDlgRequestPresenceClass TIDlgRequestPresenceClass;

#define TI_TYPE_DLG_REQUEST_PRESENCE               ti_dlg_request_presence_get_type()
#define TI_DLG_REQUEST_PRESENCE(object)            (G_TYPE_CHECK_INSTANCE_CAST ((object), TI_TYPE_DLG_REQUEST_PRESENCE, TIDlgRequestPresence))
#define TI_DLG_REQUEST_PRESENCE_CLASS(klass)       (G_TYPE_CHECK_CLASS_CAST ((klass), TI_TYPE_DLG_REQUEST_PRESENCE, TIDlgRequestPresenceClass))
#define TI_IS_DLG_REQUEST_PRESENCE(object)         (G_TYPE_CHECK_INSTANCE_TYPE ((object), TI_TYPE_DLG_REQUEST_PRESENCE))
#define TI_IS_DLG_REQUEST_PRESENCE_CLASS(klass)    (G_TYPE_CHECK_CLASS_TYPE ((klass), TI_TYPE_DLG_REQUEST_PRESENCE))
#define TI_DLG_REQUEST_PRESENCE_GET_CLASS(object)  (G_TYPE_INSTANCE_GET_CLASS ((object), TI_TYPE_DLG_REQUEST_PRESENCE, TIDlgRequestPresenceClass))

struct _TIDlgRequestPresence
{
    GObject parent;
};

struct _TIDlgRequestPresenceClass
{
    GObjectClass parent;
};

GType ti_dlg_request_presence_get_type (void);

TIDlgRequestPresence* ti_dlg_request_presence_new (GtkWindow* parent);

/**
 * Shows the "Request Presence" dialog.
 *
 * @param handles Entered handles. An array of guint. Must be freed after use.
 * @return TRUE if the user clicked "OK" and FALSE otherwise.
 */
gboolean ti_dlg_request_presence_run (TIDlgRequestPresence* dlg_request_presence, GArray** handles);

#endif
